package com.yidian.shenghuoquan.bpush.app

import com.yidian.bcommon.app.YdBaseApplication
import com.yidian.bcommon.services.ZapServiceNameConstants
import com.yidian.news.util.ProcessUtil
import com.yidian.shenghuoquan.bpush.service.PushService
import com.yidian.yac.core.zap.Zap

class BPushApplication: YdBaseApplication() {
  override fun onCreate() {
    super.onCreate()
    if (ProcessUtil.isMainProcess(this)) {
      registerXpage()
      initServie()
    }
  }

  private fun registerXpage() {

  }

  private fun initServie() {
    Zap.addService(ZapServiceNameConstants.BPush, PushService())
  }
}
